Create a new user account
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name
|
Type
|
Required/Optional
|
Description
|
|
Username
|
string
|
Required
|
The username of your D3 SOAR account.
|
|
Site
|
string
|
Required
|
The D3 SOAR site to run the remote command.
|
|
UserInfo
|
JSON Object
|
Required
|
The users information for creating users
|
Body Sample Data
application/json
{
"Username": "Admin",
"Site": "Security Operations",
"CommandParams": {
"UserInfo": {
"username": "newuser",
"emailAddress": "xxxx@gmail.com",
"firstName": "newfirst",
"lastName": "newlast",
"phoneNumber": "",
"isActive": true,
"roleId": "1",
"groupIds": [
100013,
100011
],
"siteIds": [
100018,
100019
],
"timezoneId": "5",
"securityLevel": 1
}
}
}
Response
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
error
|
string
|
The error message if the API request has failed.
|
|
returnData
|
string
|
The return data from the API request.
|
Sample Data
{
"error": "",
"returnData": "Successful"
}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "The body of the request must be a valid JSON object"}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "Invalid authentication key."}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "The request exceeds rate limits or is otherwise blocked by rate limiting policies."}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "Unexpected Error."}